Download it now!
Bug 54278 - Only en-US help pack should contain en-US help
Summary: Only en-US help pack should contain en-US help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillScript
Depends on:
Blocks:
 
Reported: 2012-08-30 17:24 UTC by Andras Timar
Modified: 2016-02-05 11:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-08-30 17:24:41 UTC
There are some locales, which are not supported by Windows. Currently we create bilingual help pack installers for them, one language is English, the other is the unsupported language. So installer comes up in English, when the other language is not supported by the OS. However, not only the installer is bilingual, but it installs en-US help files, too. That is not desired. 

1. All help pack installers should be bilingual: en-US + native language. English is a good fallback language for installers, because all versions of Windows support it.

2. Each help pack installer should contain only one language.

Some code pointers:
@noMSLocaleLangs in solenv/bin/modules/installer/globals.pm contains the language codes, that are not supported by Windows. Probably this list can be removed.
It is used in solenv/bin/modules/installer/globals.pm where the program decides, if en-US should be added to the list of languages of a particular installer package. 

In sub select_help_items in solenv/bin/modules/installer/helppack.pm, make sure that en-US files are not packaged into localized help packs.
Comment 1 Commit Notification 2013-03-19 15:01:54 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38fb0462578bde685e3862187a2dc842968d8f72

fdo#54278 Only en-US help pack should contain en-US help



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Robinson Tryon (qubit) 2015-12-15 23:23:12 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyEasy SkillScript )
[NinjaEdit]
Comment 3 Björn Michaelsen 2016-02-05 11:10:52 UTC
difficultyEasy -> difficultyBeginner. The former never really existed and only makes the EasyHack not appear on the wiki.